<template>
	<view class="">
		<u-navbar
		            title="个人中心"
		            :safeAreaInsetTop="true"
					leftIconSize="45"
					:titleStyle="{'font-size':'28rpx'}"
					
					@leftClick="backBtn()"
		        >
		            
		        </u-navbar>
		<view class="successbox flex1">
			<view class="flex1">
				<view class="imgbox"><image src="../../static/success.png" mode="aspectFill"></image></view>
				<text style="padding-top: 20rpx;">订单提交成功</text>
			</view>
			
			<view class="chabtn">
				<text class="backhome" @click="goHome">回到首页</text>
				<text class="backhome pd" @click="goDetails">查看订单</text>
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				id:''
			}
		},
		onLoad(o) {
			if(o.id){
				this.id=o.id
			}
			
		},
		
		methods: {
			backBtn(){
				
			},
			goHome(){
				uni.redirectTo({
					url:"/pages/index/index"
				})
			},
			goDetails(){
				uni.redirectTo({
					url:"/pages/order/orderDetails?id="+this.id
				})
			}
		}
	}
</script>

<style lang="less">
	page{
		font-family: PingFang-SC-Heavy, PingFang-SC;
		background: #ffffff;
	}
		
	.flex1{
		display: flex;
		align-items: center;
		flex-direction: column;
		justify-content: center;
	}
	.successbox{
		background-color: #FCFCFC;
		// margin: 20rpx;
		// border-radius: 10rpx;
		margin-top: 240rpx;
		
		.imgbox{
			width: 120rpx;
			height: 120rpx;
			image{
				width: 100%;
				height: 100%;
			}
		}
	}
	.chabtn{
		padding-top: 120rpx;
		display: flex;
		.backhome{
			display: block;
			font-size: 30rpx;
			color:rgba(30, 159, 106, 1) ;
			padding: 10rpx 30rpx;
			border: 1rpx solid rgba(30, 159, 106, 1);
			border-radius: 30rpx;
		}
		.pd{
			
			margin-left: 100rpx;
		}
	}
</style>
